.intro {
  position: relative;
  z-index: 2;
  height: 100dvh;
  min-height: 100svh;
  will-change: transform, opacity;
  transform: translateY(0);
  opacity: 1;
  transition: opacity 1s ease;
}

.intro.fade-out {
  opacity: 0;
}

.bg-overlay {
  position: absolute;
  inset: 0;
  z-index: 1;
}

/* .content-intro::after {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 1;
  background: rgba(0, 0, 0, 0.3);
  pointer-events: none;
} */

.content-intro {
  position: relative;
  z-index: 2;
  width: 100%;
  height: 100dvh;
  min-height: 100svh;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  text-align: center;
  padding: 2rem;
  color: var(--text-on-dark);
  background-size: cover;
  background-position: center;
  font-family: var(--font-body);
  font-size: 1rem;
  overflow: hidden;
}

.content-intro-top,
.content-intro-bottom {
  position: relative;
  z-index: 2;
}

.content-intro-top h2 {
  font-family: var(--font-body);
  font-size: 1rem;
  text-transform: uppercase;
  color: var(--background);
  letter-spacing: 0.1rem;
}

.content-intro-top h1 {
  font-family: var(--font-heading);
  font-size: 2.5rem;
  text-transform: uppercase;
  letter-spacing: 0.1rem;
}

.content-intro-top .iqbal {
  margin-top: -2.5rem;
  margin-bottom: 0.5rem;
}

.content-intro-top .and {
  font-size: 2.5rem;
  opacity: 0.4;
  margin-top: -1.5rem;
  color: var(--background);
}

.horizontal-line {
  flex: 1;
  height: 1px;
  background-color: var(--text-on-dark);
}

.content-intro-bottom {
  margin-bottom: 2rem;
}

.content-intro-bottom p {
  font-size: 1rem;
  line-height: 2rem;
  margin-bottom: 0.5rem;
}

.content-intro-bottom p span {
  font-size: 1.5rem;
}

.content-intro-bottom .note {
  font-size: 0.7rem;
  margin-bottom: 2rem;
  margin-top: 0.5rem;
}

.content-intro-bottom i {
  margin-right: 5px;
}

.content-intro-bottom a {
  text-decoration: none;
  color: var(--text-on-dark);
  background-color: var(--bg-button);
  border-radius: 0.5rem;
  padding: 0.5rem;
  border: 1px solid var(--bg-button);
  transition: background 0.5s ease, color 0.5s ease, border 0.5s ease;
}

.content-intro-bottom a:hover {
  background-color: transparent;
  color: var(--background);
  border: 1px solid var(--background);
}

/* awal: scroll hint disembunyikan */
.scroll-hint {
    position: absolute;
    bottom: 8rem;
    left: 50%;
    transform: translateX(-50%) translateY(10px);
    text-align: center;
    color: var(--text-on-dark);

    opacity: 0;
    pointer-events: none;
}

.intro.opened .content-intro-bottom {
    opacity: 0;
    transform: translateY(-10px);
    pointer-events: none;
}

.content-intro-bottom,
.scroll-hint {
    transition: opacity 1.2s ease-in-out, transform 1.2s ease-in-out;
}

/* saat aktif */
.intro.opened .scroll-hint {
    opacity: 1;
    transform: translateX(-50%) translateY(0);
    pointer-events: auto;
}

/* teks scroll diputar 90 derajat */
.scroll-text {
    display: inline-block;
    transform: rotate(90deg);
    font-size: 1rem;
    font-family: var(--font-body);
    letter-spacing: 0.2rem;
    margin-bottom: 1.5rem;
    opacity: 0.9;
}

/* panah panjang */
.scroll-arrow {
    font-size: 1.5rem;
    line-height: 1;
    animation: arrowMove 1.5s infinite;
}

/* animasi panah */
@keyframes arrowMove {
    0% {
        transform: translateY(-5px);
        opacity: 0.4;
    }
    50% {
        transform: translateY(10px);
        opacity: 1;
    }
    100% {
        transform: translateY(20px);
        opacity: 0.4;
    }
}

.home {
  position: relative;
  height: 100dvh;
  min-height: 100svh;

  display: flex;
  flex-direction: column;
  justify-content: center;
  color: var(--text-on-dark);
  padding: 2rem;
}

.home h1 {
  font-family: var(--font-heading);
  font-size: 1.5rem;
  margin-bottom: 1.5rem;
  color: var(--background);
}

.home h2 {
  font-size: 1.5rem;
  margin-bottom: 1rem;
}

.home p {
  font-family: var(--font-body);
  font-size: 1rem;
}

